Package Details: gtk-smooth-engine 0.6.0.1-5

Git Clone URL: https://aur.archlinux.org/gtk-smooth-engine.git (read-only)
Package Base: gtk-smooth-engine
Description: The smooth-engine for gtk1 - including smooth-themes for gtk1 and gtk2
Upstream URL: http://sourceforge.net/projects/smooth-engine
Licenses: LGPL
Conflicts: gtk2-smooth-engine
Replaces: gtk2-smooth-engine
Submitter: ilpianista
Maintainer: shaggytwodope
Last Packager: shaggytwodope
Votes: 10
Popularity: 0.001737
First Submitted: 2010-11-13 15:01
Last Updated: 2015-06-23 08:35

Latest Comments

connaisseur commented on 2014-02-07 10:11

Made a path to update the PKGBUILD for matching today's Arch build system + adding make dependency:

--- gtk-smooth-engine.old/PKGBUILD 2010-11-13 14:39:22.000000000 +0100
+++ gtk-smooth-engine/PKGBUILD 2014-02-07 11:06:46.349927707 +0100
@@ -12,6 +12,7 @@
license=('LGPL')
depends=('gtk-engines' 'gdk-pixbuf')
options=('!libtool')
+makedepends=('pkg-config')
source=(http://downloads.sourceforge.net/smooth-engine/${pkgname}-${pkgver}.tar.gz \
http://downloads.sourceforge.net/smooth-engine/smooth-themes-$_spkgver.tar.gz
deprecated_macros.patch free_border.patch)
@@ -26,10 +27,16 @@

./configure --prefix=/usr --enable-gtk-1 --disable-gtk-2 || return 1
make || return 1
- make DESTDIR=${pkgdir} install || return 1

cd ${srcdir}/smooth-themes-$_spkgver
./configure --prefix=/usr --enable-gtk-1 --enable-gtk-2 || return 1
make || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install || return 1
+
+ cd ${srcdir}/smooth-themes-$_spkgver
make DESTDIR=${pkgdir} install || return 1
}

ilpianista commented on 2010-11-13 15:01

* moved from [extra]